<?php
/**
* Allows the administrator to send a email to the masses
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/

// require core
require_once("../../core.inc.php");

defined("_IN_OB_") or die("Access Restricted.");

//Check if the user is logged in
Admin_Loggin_Check();

//Add Navigation
require_once($root_prefix . "nav.php");

if(!empty($remove) && !empty($cat)){
	if($confirm == 1){
		$email = quote_smart($remove);
		$email = quote_smart($cat);
		$db->Execute("DELETE FROM `" . $this->dbprefix . "_emailsubs` WHERE email='".$email."', cat='".$cat."'");
		$message = str_replace("%email", $remove, _ADMIN_MASSEMAIL_REMOVED);
		SystemMessage(_ADMIN_MASSEMAIL_REMOVED, null, 1);
	}else{
		$Message = str_replace("%email", $remove, _ADMIN_MASSEMAIL_CONFIRM)."<br /><br />";
		$Message .= "<a href=\"admin_massemail.php?remove=".$remove."&amp;cat=".$cat."&amp;confirm=1\">[-".GEN_YES."-]</a>&nbsp;&nbsp;";
		$Message .= "<a href=\"admin_massemail.php?list=1\">[-".GEN_NO."-]</a>";
		SystemMessage($Message, null, 1);
	}
}

//Display the Email List
if(!$list)
{
	//Check to see if they have pressed the login button
	if ($_POST['Send_Email'])
	{
		//Allow Quick Resume If an error if found
		if(empty($_POST['e_subject']))
		{
			$_SESSION['e_content'] = $_POST['e_content'];
			SystemMessage(_ADMIN_MASSEMAIL_NOSUBJECT, 1);
		}
		if(empty($_POST['e_content']))
		{
			$_SESSION['e_subject'] = $_POST['e_subject'];
			SystemMessage(_ADMIN_MASSEMAIL_NOBODY, 1);
		}
		unset($_SESSION['e_subject']);
		unset($_SESSION['e_content']);

		//Convert form values
		$e_subject 	= quote_smart($_POST['e_subject']);
		$e_content 	= quote_smart($_POST['e_content']);
		$e_recipients	= quote_smart($_POST['e_recipients']);
		$e_cat		= quote_smart($_POST['e_cat']);

		if($config_db->GetConfig('email_method') != "Mail()")
		{
			//Configure PHPMailier
			$phpmailer->WordWrap 	= 70;
			$phpmailer->CharSet 	= "UTF-8";
			$phpmailer->From 	= $client->email;
			$phpmailer->FromName 	= $client->name;

			//Configure Email
			$phpmailer->Subject  	=  $e_subject;
			$phpmailer->Body     	=  $e_content;
			$phpmailer->AltBody  	=  strip_tags($e_content);

			$count = 0; //Count the amount of emails to be sent
			if($e_recipients == 1 || $e_recipients = 3)
			{
				$data = $db->GetAll("select `email` from `" . $dbprefix . "_clients` ORDER BY email ASC");
				foreach($data as $email)
				{
					$phpmailer->AddBCC($email['email']);
					$count++;
				}
			}
			if($e_recipients == 2 || $e_recipients = 3)
			{
				$data = $db->GetAll("select `email` from `" . $dbprefix . "_emailsubs` WHERE cat='".$e_cat."' ORDER BY email ASC");
				foreach($data as $email)
				{
					$phpmailer->AddBCC($email['email']);
					$count++;
				}
			}

			if($count == 0){SystemMessage(_ADMIN_MASSEMAIL_ERROR_SENDING, 1);}

			if(!$phpmailer->Send()){SystemMessage(_ADMIN_MASSEMAIL_ERROR_SENDING, 1);}
		}else{

			/* Add beinging header tag */
			$message['Bcc'] = "Bcc:";

			$count = 0;
			if($e_recipients == 1 || $e_recipients = 3)
			{
				$data = $db->GetAll("select `email` from `" . $dbprefix . "_clients` ORDER BY email ASC");
				foreach($data as $email)
				{
					$message['Bcc'] .= $email['email'].", ";
					$count++;
				}
			}
			if($e_recipients == 2 || $e_recipients = 3)
			{
				$data = $db->GetAll("select `email` from `" . $dbprefix . "_emailsubs` WHERE cat='".$e_cat."' ORDER BY email ASC");
				foreach($data as $email)
				{
					$message['Bcc'] .= $email['email'].", ";
					$count++;
				}
			}
			
			/* Clean up end of the Bcc tag. */
			$message['Bcc'] = substr($message['Bcc'], 0, -2);

			$message['headers'] =
				"From: ".$client->name." <".$client->email.">\n".
				"Date: ". date(DATE_RFC822) . "\n".
				"Organization: ".$config_db->GetConfig('site_name')."\n".
				"X-Mailer: PHP/" . phpversion() .
				"Charset: iso-8859-1\n".
				$message['Bcc']."\n";

			//Email the account activation
			$sent = mail('', $e_subject, $e_content, $message['headers']);
			if(!$sent){SystemMessage(_ADMIN_MASSEMAIL_ERROR_SENDING, 1);}
		}

		// display confirm
		$message = str_replace("%number", $count, _ADMIN_MASSEMAIL_SENT);
		SystemMessage($message, null, 1);
	}else{

		//Allow Quick Resume If an error if found
		if(!empty($_SESSION['e_subject'])){$tpl->assign('e_subject', $_SESSION['e_subject']);}
		if(!empty($_SESSION['e_content'])){$tpl->assign('e_content', $_SESSION['e_content']);}

		// display the template
		$tpl->DisplayPage("admin/admin_massemail.tpl");
	}
}else{

	//Unset and Create array
	unset($u_email);
	$u_email = array();
	unset($u_cat);
	$u_cat = array();

	//Grab emails
	$data = $db->GetAll("select * from `" . $dbprefix . "_emailsubs` ORDER BY email ASC");
	foreach($data as $s)
	{
		//Name The Cat
		if($s["cat"] == 1){$s["cat"] = _ADMIN_MASSEMAIL_CLOSING;}
			elseif($s["cat"] == 2){$s["cat"] = _ADMIN_MASSEMAIL_NEWSLETTER;}
			else{$s["cat"] = _ADMIN_MASSEMAIL_BOTH;}

		array_push($u_email, $s["email"]);
		array_push($u_cat, $s["cat"]);
	}

	$tpl->assign_by_ref('uemail', $u_email);
	$tpl->assign_by_ref('ucat', $u_cat);

	//Set The Offset Controller
	//Note: 0=PreviousPage; 1=CurrentPage; 2= NextPage
	if (isset($offset)){$offseta[1] = abs($offset);}else{$offseta[1] = 0;}
	if ($offseta[1] > count($ucat)){$offseta[1] = 0;}
	if ($offseta[1] > 0){$offseta[0] = abs(($offseta[1]-20));}else{$offseta[0] = 0;}
	$offseta[2] = $offseta[1]+20;
	$tpl->assign_by_ref('offset', $offseta);

	// display the template
	$tpl->DisplayPage("admin/admin_massemail_list.tpl");
}
?>