<?php
/**
* Allows the administrator to add a news post
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/

// require core
require_once("../../core.inc.php");

defined("_IN_OB_") or die("Access Restricted.");

//Check if the user is logged in
Admin_Loggin_Check();

//Allow RSS Feeds
include_once($root_prefix . "feeds/rss.feed.php");

//Add Navigation
require_once($root_prefix . "nav.php");

//Check to see if they have pressed the login button
if ($_POST['Post_News'])
{

	//Allow Quick Resume If an error if found
	if(empty($_POST['txtsubject']))
	{
		$_SESSION['txtnews'] = $_POST['txtnews'];
		SystemMessage(_ADMIN_POSTNEWS_NOSUBJECT, 1);
	}
	if(empty($_POST['txtnews']))
	{
		$_SESSION['txtsubject'] = $_POST['txtsubject'];
		SystemMessage(_ADMIN_POSTNEWS_NOBODY, 1);
	}
	unset($_SESSION['txtsubject']);
	unset($_SESSION['txtnews']);


	//Convert form values
	$subject = quote_smart($_POST['txtsubject']);
	//$news_text = quote_smart($safehtml->parse($_POST['txtnews']));
	$news_text = quote_smart($_POST['txtnews']);

	$thisNews = array();
	$thisNews['news_id'] 	= '0';
	$thisNews['client_id'] 	= $client->client_id;
	$thisNews['username'] 	= $client->name;
	$thisNews['title'] 	= $subject;
	$thisNews['text'] 	= $news_text;
	$done = $news->addnews($thisNews);

	if(!$done){SystemMessage(_ADMIN_POSTNEWS_ERROR_SUBMITING, 1);}

	RSSNews();

	// display confirm
	SystemMessage(_ADMIN_POSTNEWS_POSTED, null, 1);
}else{

	//Allow Quick Resume If an error if found
	if(!empty($_SESSION['txtsubject'])){$tpl->assign('txtsubject', $_SESSION['txtsubject']);}
	if(!empty($_SESSION['txtnews'])){$tpl->assign('txtnews', $_SESSION['txtnews']);}

	// display the template
	$tpl->DisplayPage("admin/admin_postnews.tpl");
}
?>