<?php
/**
* Show a list of all the account for the administrators
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/

// require core
require_once("../../core.inc.php");

defined("_IN_OB_") or die("Access Restricted.");

//Check if the user is logged in
Admin_Loggin_Check();

//Add Navigation
require_once($root_prefix . "nav.php");

/** 
*
* Get Configurations 
*
*/
/** General */
$config['time_zone']				= stripslashes($config_db->GetConfig('time_zone'));
$config['site_name']				= stripslashes($config_db->GetConfig('site_name'));
$config['modified']				= stripslashes($config_db->GetConfig('modified'));
$config['UseMail']				= stripslashes($config_db->GetConfig('UseMail'));
$config['newmemberwelcome']			= stripslashes($config_db->GetConfig('newmemberwelcome'));
$config['AllowAccountDelete']			= stripslashes($config_db->GetConfig('AllowAccountDelete'));
$config['SuccessfullAccountEdit']		= stripslashes($config_db->GetConfig('SuccessfullAccountEdit'));
$config['Apache_log_path']			= $config_db->GetConfig('apache_log_path');

/** Forgot Function */
$config['AllowForgotPassword']			= stripslashes($config_db->GetConfig('AllowForgotPassword'));
$config['forgot_message_header']		= stripslashes($config_db->GetConfig('forgot_message_header'));
$config['message_forgot_password']		= stripslashes($config_db->GetConfig('message_forgot_password'));
$config['title_forgot_password']		= stripslashes($config_db->GetConfig('title_forgot_password'));
$config['message_successfull_forgot']		= stripslashes($config_db->GetConfig('message_successfull_forgot'));
$config['forgotemail']				= stripslashes($config_db->GetConfig('forgotemail'));

/** Bug Report Function */
$config['BugReportdisabled']			= stripslashes($config_db->GetConfig('BugReportdisabled'));
$config['BugEmail']				= stripslashes($config_db->GetConfig('BugEmail'));
$config['BugSubject']				= stripslashes($config_db->GetConfig('BugSubject'));
$config['Bug_Sent_successfuly']			= stripslashes($config_db->GetConfig('Bug_Sent_successfuly'));

/** Registration Function */
$config['AllowRegisterEmail']			= stripslashes($config_db->GetConfig('AllowRegisterEmail'));
$config['RegisterEmail_message_header']		= stripslashes($config_db->GetConfig('RegisterEmail_message_header'));
$config['message_RegisterEmail']		= stripslashes($config_db->GetConfig('message_RegisterEmail'));
$config['title_RegisterEmail']			= stripslashes($config_db->GetConfig('title_RegisterEmail'));
$config['Message_successfull_RegisterEmail']	= stripslashes($config_db->GetConfig('Message_successfull_RegisterEmail'));
$config['Register_Email']			= stripslashes($config_db->GetConfig('Register_Email'));

$tpl->assign('config', $config);

/** 
*
* Hack the Phpinfo() to make it display in the templates
*
*/
ob_start();
phpinfo();
$phpinfo = "<div id=\"phpinfo\">" . preg_replace("/<head>(.|\s)*?<\/head>/","",ob_get_contents()) . "</div>";
$phpinfo = preg_replace("/<\/?html(.|\s)*?>/","",$phpinfo);
$phpinfo = preg_replace("/<\/?body(.|\s)*?>/","",$phpinfo);
$phpinfo = str_replace('<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">','', $phpinfo);
ob_end_clean();

$tpl->assign('php_info', $phpinfo);

/** 
*
* CHMod Check 
*
*/
/** Files to check. Note: Suffix _xxx resembles CHMOD needed */
$chmods_file[] = $root_prefix . 'templates/cache/_0777';
$chmods_file[] = $root_prefix . 'templates/cache/cache/_0777';
$chmods_file[] = $root_prefix . 'templates/cache/tplcache/_0777';
$chmods_file[] = $root_prefix . 'feeds/news.xml_0777';
$chmods_file[] = $root_prefix . 'libs/backup/_0777';

for($i=0;$i<count($chmods_file);$i++)
{
	$chmods_needed[$i] = substr($chmods_file[$i], -4);
	$chmods_file[$i] = substr($chmods_file[$i], 0, strlen($chmods_file[$i])-5);
	$chmods[$i] = substr(sprintf('%o', fileperms($chmods_file[$i])), -4);
	if($chmods[$i] >= $chmods_needed[$i])
	{
		$chmods[$i] = "<font color=\"#009900\">" . $chmods[$i] . "</font>";
	}else{
		$chmods[$i] = "<font color=\"#990000\">" . $chmods[$i] . "</font>";
	}
}
$tpl->assign('chmod_check_file', $chmods_file);
$tpl->assign('chmod_check', $chmods);
$tpl->assign('chmod_check_needed', $chmods_needed);

/** 
*
* IP Ban Manager
*
*/
if ($action = "removeban" && !empty($ip))
{
	$ip = quote_smart($ip);

	$remove = $ipbanner->Unban_ip($ip);
	if($remove)
	{
		SystemMessage(_ADMIN_SITECONFIG_IPBAN_REMOVED, null, 1);
	}else{
		SystemMessage(_ADMIN_SITECONFIG_IPBAN_ERROR_REMOVING, 1);
	}
}
if ($_POST['IPSubmit'])
{
	if ($ipbanner->check_image($_SESSION['login_image_string'], trim($_POST['ban_image_var'])) == '1')
	{

		if(empty($_POST['ban_ip'])){SystemMessage(_ADMIN_SITECONFIG_IPBAN_NOIP, 1);}
		if(empty($_POST['ban_reason'])){SystemMessage(_ADMIN_SITECONFIG_IPBAN_NOREASON, 1);}

		//retreave form vars
		$ban_ip 	= quote_smart($_POST['ban_ip']);
		$ban_reason 	= quote_smart($_POST['ban_reason']);

		$result = $ipbanner->Ban_ip($ban_ip, $ban_reason);
		if($result)
		{
			SystemMessage(_ADMIN_SITECONFIG_IPBAN_BANNED, null, 1);
		}else{
			SystemMessage(_ADMIN_SITECONFIG_IPBAN_ERROR_BANNING, 1);
		}
	}else{
		SystemMessage(_ADMIN_SITECONFIG_IPBAN_ERROR_NOMATCH, 1);
	}
}

// display the template
$tpl->DisplayPage("admin/admin_siteconfig.tpl");
?>