<?php
/**
* Allows the editing of clients personal pages
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/

// require core
require_once("../core.inc.php");

defined("_IN_OB_") or die("Access Restricted.");

//Check if the user is logged in
Loggin_Check();

//Add Navigation
require_once($root_prefix . "nav.php");

// instantiate page class
require_once($root_prefix . "classes/page.class.php");
$page = new Pages();

if(!empty($id)) {

	if($client->admin > 2)
	{
		if($pagehand['author_id'] != $client->client_id)
		{
			SystemMessage(_EDIT_PAGE_NOOWN, 1);
		}
	}

	$pagehand 	= $page->fetchpage(quote_smart($id));
	if(!$pagehand['page_id']){SystemMessage(_EDIT_PAGE_CHECKID, 1);}

	$p_title 	= quote_smart($_POST['page_title']);
	$p_content	= quote_smart($_POST['page_content']);
	$message	= null;

	//Check to see if they have pressed the login button
	if ($_POST['Edit_Page_Submit'])
	{
		$edited = null;
		if(empty($p_title))
		{
			$message = _EDIT_PAGE_NOTITLE . "<br />";
		}
		elseif ($p_title != $pagehand['title'])
		{
			$done = $page->UpdatePage(quote_smart($id), 'title', $p_title);
			if ($done) {$message = _EDIT_PAGE_UPDATED_TITLE . "<br />"; $edited = 1;}else{$message = _EDIT_PAGE_ERROR_TITLE . "<br />";}
		}
		if(empty($p_content))
		{
			$message .= _EDIT_PAGE_NOCONTENT . "<br />";
		}
		elseif ($p_content != $pagehand['content'])
		{
			$done = $page->UpdatePage(quote_smart($id), 'content', $p_content);
			if ($done) {$message .= _EDIT_PAGE_UPDATED . "<br />"; $edited = 1;}else{$message .= _EDIT_PAGE_ERROR_CONTENT . "<br />";}
		}
		if ($edited == 1)
		{
			$date = date("F j, Y -:-:- h:i:s A",(time() + 3*3600 - 7*60 - 23));
			$page->UpdatePage(quote_smart($id), 'lastedited', $date);
		}
		if (!empty($message))
		{
			SystemMessage($message, 1);
		}
	}

	//Assign it to the template
	$tpl->assign_by_ref('page', $pagehand);

	// display the template
	$tpl->DisplayPage("edit_page.tpl");
}else{

	if($client->admin == 2 || $client->admin == 1){
		$a_pages = $page->fetchpages();
	}else{
		$a_pages = $page->fetchpagesfromauthor($client->client_id);
	}

	//Set The Offset Controller
	//Note: 0=PreviousPage; 1=CurrentPage; 2= NextPage
	if (isset($offset)){$offset[1] = $offset;}else{$offset[1] = 0;}
	if ($offset[1] >= 15){$offset[0] = ($offset[1]-15);}else{$offset[0] = 0;}
	$offset[2] = $offset[1]+15;
	$tpl->assign_by_ref('offset', $offset);

	//remove long timestamps
	$a_pages = $page->shortentimestamps($a_pages);

	$tpl->assign_by_ref('pages', $a_pages);

	$tpl->assign('page', "edit_page.php");

	// display the template
	$tpl->DisplayPage("page_list.tpl");
}
?>