<?php
/**
* Allows for the creation of a new page where the client is the rightful owner
* @package	OpenBASE
* @author David Branco <David@NeoeliteUSA.com>
*/

// require core
require_once("../core.inc.php");

defined("_IN_OB_") or die("Access Restricted.");

//Check if the user is logged in
Loggin_Check();

//Add Navigation
require_once($root_prefix . "nav.php");

// instantiate page class
require_once($root_prefix . "classes/page.class.php");
$page = new Pages();

if ($_POST['New_Page_Submit'])
{

	//Allow Quick Resume If an error if found
	if(empty($_POST['page_title']))
	{
		$_SESSION['page_content'] = $_POST['page_content'];
		SystemMessage(_NEW_PAGE_NOSUBJECT, 1);
	}
	if(empty($_POST['page_content']))
	{
		$_SESSION['page_title'] = $_POST['page_title'];
		SystemMessage(_NEW_PAGE_NOCONTENT, 1);
	}
	unset($_SESSION['page_title']);
	unset($_SESSION['page_content']);

	// check subject and text
	$_POST['page_title'] 	= quote_smart(htmlspecialchars($_POST['page_title']));
	$_POST['page_content'] 	= quote_smart($_POST['page_content']);

	// here we should do some basic escaping - but no sec class just yet, so off we go
	$thisPage = array();
	$thisPage['title'] 	= $_POST['page_title'];
	$thisPage['author'] 	= $client->name;
	$thisPage['author_id'] 	= $client->client_id;
	$thisPage['content'] 	= $_POST['page_content'];
	$page->addpage($thisPage);

	// display confirm
	SystemMessage(_NEW_PAGE_POSTED, null, 1);
}

//Allow Quick Resume If an error if found
if(!empty($_SESSION['page_title'])){$tpl->assign('page_title', $_SESSION['page_title']);}
if(!empty($_SESSION['page_content'])){$tpl->assign('page_content', $_SESSION['page_content']);}

// display the template for index
$tpl->DisplayPage("new_page.tpl");
?>