<?php
defined("_IN_OB_") or die("Access Restricted.");

/**
* Handles the banning of IPs
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
* @access 	public
*/
class IpBan {

	var $ipban_DB = array();

	/**
    	* Constructor, initialises variables and calls to the object registry
    	*
    	* @return   none
    	* @access   public
    	*/
	function StartBan() {
		global $db, $dbprefix, $tpl;
		$this->dbprefix = $dbprefix;
		$registry = &Registry::instance();
		$this->tpl_static =& $tpl;

	    	$this->ipban_db = $db->GetAll("SELECT * FROM `" . $dbprefix . "_bannedips`");
		
		$this->tpl_static->assign('IpBan_database', $this->ipban_db);
	}
	
    /**
    * Checks to see if the ip is banned. If so redirects them to the banned page.
    *
    * @return   string
    * @access   public
    */
	function CheckBan() {
		$visitorip = $_SERVER["REMOTE_ADDR"];
		
		for($i=0;$i<count($this->ipban_db);$i++)
		{
			if ($this->ipban_db[$i]['ip'] == $visitorip)
			{
				BannedMessage(GEN_BANNED);
			}
		}
		return false;
	}

    /**
    * Bans a ip address from the site
    *
    * @return   string
    * @access   public
    */
	function Ban_ip($ip, $reason) {
		global $db, $dbprefix;
		$db->Execute("INSERT INTO `" . $this->dbprefix . "_bannedips` (ip, reason) VALUES ('" . $ip . "', '" . $reason . "')");
		if ($db->affected_rows() == 1) {
			return true;
		}else{
			return false;
		}
	}
	
    /**
    * Unbans a ip address from the site
    *
    * @return   string
    * @access   public
    */
	function Unban_ip($ip) {
		global $db, $dbprefix;
		$db->Execute("DELETE FROM `" . $this->dbprefix . "_bannedips` WHERE ip='" . $ip . "'");
		if ($db->affected_rows() == 1) {
			return true;
		}else{
			return false;
		}
	}
	
    /**
    * Checks the ip ban image verification string
    *
    * @return   string
    * @access   public
    */
	function check_image($our_var, $their_var) {
		global $db;
		if (strtolower($our_var) == strtolower($their_var)){
			return 1;
		}else{
			return 0;
		}
	}
}

?>