<?php
defined("_IN_OB_") or die("Access Restricted.");

/**
* Navigation generator function for navigational links
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
* @access 	public
*/
class Navigation {

	function StoreCurrentPage($template_name) {
		global $gameinstance, $tpl;
		// basename ensures we store only the file & arguments - not all the directory information
		$thisuri = basename($_SERVER['REQUEST_URI']);
		$tpl_vars = $tpl->get_template_vars();
		// we set the array character value of curr_template_vars to "" - otherwise the data just grows exponentially!
		$serialized_vars = addslashes(serialize($tpl_vars));
		$serialized_nav = addslashes(serialize($_SESSION['allowed_navs']));
		$_SESSION['allowed_navs'] = array(); // once stored empty the nav list in the session
	}

	function navlink($position="left", $section="Undecided", $title="Unknown", $url="javascript:void();", $force_link=false) {
		global $NAV;
		// check for empty links
		if(empty($url)) {return;}
		// position=left - equates to the main left menu on each page
		if($force_link === true)
		{
			$url_segments = explode("/", $url);
			$url_amended = array_pop($url_segments);
		}
		if($position == "left")
		{
			if(empty($NAV['left'][$section]) || !is_array($NAV['left'][$section]))
			{
				// each 'details' of a section will hold an array of all links in that section
				$NAV['left'][$section] = array("name"=>"$section","details"=>array());
			}
			array_push($NAV['left'][$section]['details'], array("title"=>$title,"url"=>$url));
		}
		elseif($position == "top") // the top menu - not intending to use this except rarely
		{
			array_push($NAV['top'], array("title"=>$title, "url"=>$url));
		}
		// add all allowed navs to the session - this is then stored on database - see $tpl->DisplayPage()
		// each time a user requests a page, we can compare that request to a list of allowed navs
		// this will mean we can block most manual inputted urls, and doped urls (i.e. with extra arguments)
		if(!is_array($_SESSION['allowed_navs']))
		{
			$_SESSION['allowed_navs'] = array();
		}
		if(!empty($url_amended)) $url = $url_amended;
		array_push($_SESSION['allowed_navs'], $url);
	}

	function approvelink($url) {
		if(empty($url)) {return;}
		array_push($_SESSION['allowed_navs'], $url);
		return;
	}
}

?>