<?php
defined("_IN_OB_") or die("Access Restricted.");

/**
* Handles the reading and posting of news
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
* @access 	public
*/
class News {

	/**
    	* Constructor, initialises variables and calls to the object registry
    	*
    	* @return   none
    	* @access   public
    	*/
	function News() {
		global $db;
		$this->dbprefix = $GLOBALS['dbprefix'];
	}

	/**
    	* Fetches all news
    	*
    	* @return   array
    	* @access   public
    	*/
	function fetchnews() {
		global $db;
		$news = array();
		$news = $db->GetAll("SELECT * FROM `" . $this->dbprefix . "_news` ORDER BY news_id DESC");
		if(empty($news))
		{
			return 0;
		}
		return $news;
	}

	/**
    	* Uses the passed array to construct a sql query string for execution, in order to add a new post to database
    	*
	* @param	array	$array
    	* @return   boolean
    	* @access   public
	* @see		automessage()
    	*/
	function addnews($array) {
		global $db;
		$date = date("F j, Y -:-:- h:i:s A",(time() + 3*3600 - 7*60 - 23));
		if(!empty($array) && is_array($array))
		{
			$string = "insert into " . $this->dbprefix . "_news (";
			foreach($array as $key=>$val)
			{
				if($key == 'message_id') continue;
				$string_key .= "{$key}, ";
				$string_val .= "'$val', ";
			}
			$string_key .= "timestamp) values (";
			$string_val .= "'" . $date . "')";
			$string .= $string_key . $string_val;
			$db->Execute($string);
			if ($db->affected_rows() == 1) {
				return true;
			}else{
				return false;
			}
		}
		return FALSE;
	}

	/**
    	* Uses the passed array to delete a sql query string for execution, in order to delete a post from the database
    	*
	* @param	integer		$msg_id
    	* @return   boolean
    	* @access   public
	* @see		addmessage()
    	*/
	function deletenews($post_id) {
		global $db;
		if(!empty($post_id))
		{
			$db->Execute("delete  from " . $this->dbprefix . "_news where news_id = " . $post_id);
			if ($db->affected_rows() == 1) {
				return true;
			}else{
				return false;
			}
		}
		return false;
	}

}

?>