<?php
defined("_IN_OB_") or die("Access Restricted.");

/**
* Handles the registering of accounts
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
* @access 	public
*/
class RegisterAccount {

	/**
    	* Adds the new account
    	*
    	* @return   string
    	* @access   public
    	*/
	function addaccount($array) {
		global $db, $dbprefix, $pass_salt;
		if(!empty($array) && is_array($array))
		{
			$messagequery = "insert into `" . $dbprefix . "_clients` (";
			foreach($array as $key=>$val)
			{
				if($key == 'password') break;
				$string_key .= "{$key}, ";
				$string_val .= "'$val', ";
			}
			$string_key .= "joined, password) values (";
			$string_val .= "'" . time() . "', '".md5($array['password'] . $pass_salt)."')";
			$messagequery .= $string_key . $string_val;
			$db->Execute($messagequery);
			if ($db->affected_rows() == 1) {
				$this->newaccountemail($array);
				return true;
			}else{
				return false;
			}
		}
		return false;
	}

	/**
    	* Deletes a account -  For "Fallback" purposes
    	*
    	* @return   string
    	* @access   public
    	*/
	function deleteaccount($client_id) {
		global $db;
		if(!empty($client_id))
		{
			$db->Execute("DELETE FROM `" . $dbprefix . "_clients`  WHERE client_id=" . $client_id);
			if ($db->affected_rows() == 1) {
				return true;
			}else{
				return false;
			}
		}
		return false;
	}

	/**
    	* Sends a email to the account's email address
    	*
    	* @return   string
    	* @access   public
    	*/
	function newaccountemail($thisAccount) {
		global $AllowRegisterEmail, $config_db, $url_prefix;
		if(!empty($thisAccount))
		{
			// check if the admin alows this feature
			if (!$config_db->GetConfig('AllowRegisterEmail')){SystemMessage($config_db->GetConfig('Message_successfull_RegisterEmail'), null, 1);}

			$user_actkey_url = $url_prefix . "admin/login?mode=activate&u=". $thisAccount['client_id'] ."&auth_code=". $thisAccount['authcode'];
			$user_actkey_url = "<a herf=\"".$user_actkey_url."\">".$user_actkey_url."</a>";

			$message['subject'] =
				"Subject:".$config_db->GetConfig('title_RegisterEmail')."!\n";

			$message['headers'] =
				"From: ".$config_db->GetConfig('Register_Email')."\n".
				"Date: ". date(DATE_RFC822) . "\n".
				"Organization: ".$config_db->GetConfig('site_name')."\n".
				"X-Mailer: PHP/" . phpversion() .
				"Charset: iso-8859-1\n";
			
			$template = str_replace("%client", $thisAccount['username'], _REGISTER_CLASS_EMAIL);
			$template = str_replace("%sitename", $config_db->GetConfig('site_name'), $template);
			$template = str_replace("%username", $thisAccount['username'], $template);
			$template = str_replace("%password", $thisAccount['password'], $template);
			$template = str_replace("%authlink", $user_actkey_url, $template);
			
			$message['template'] = $template;

			$message['show_user'] = $config_db->GetConfig('Message_successfull_RegisterEmail');

			//Email the account activation
			if($config_db->GetConfig('email_method') == "Mail()")
			{
				mail($admin_info['email'], $config_db->GetConfig('DownloadEmailTitle'), $message, '',"From: " . $config_db->GetConfig('DownloadEmailAddress'));
			}else{
				$phpmailer->From	= $config_db->GetConfig('Register_Email');
				$phpmailer->AddAddress($thisAccount['email']);
				$phpmailer->Subject	= $config_db->GetConfig('title_RegisterEmail');
				$phpmailer->Body 	= $message['template'];
				$phpmailer->Send();
			}

			SystemMessage($message['show_user'], null, 1);
		}
		return false;
	}
	
	/**
    	* Protection from account creating bots
    	*
    	* @return   string
    	* @access   public
    	*/
	function check_image($our_var, $their_var) {
		global $db;
		if (strtolower($our_var) == strtolower($their_var)){
			return 0;
		}else{
			return _REGISTER_CLASS_ERROR_NOMATCH;
		}
	}

}

?>