<?php
header("Expires: Mon, 29 Jul 1999 17:00:00 GMT");
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

/**
* core engine file - the backbone if you will
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/

/* Start out session */
session_start();

/* Capture the page execution start time */
$page_generate_start = getmicrotime();
function getmicrotime()
{
	list($usec, $sec) = explode(" ", microtime());
	return ((float)$usec + (float)$sec);
}

/* Initialise the object registry */
unset($registry);
require_once($root_prefix . 'classes/registry.class.php');

/* Definitions -:- Should be changed thoughout site: */
define("_IN_OB_", 1);

/* Include config */
require_once("includes/config.php");

/* Start Database */
require_once($root_prefix . 'libs/adodb/adodb-errorhandler.inc.php');
require_once($root_prefix . 'libs/adodb/adodb.inc.php');
$db = ADONewConnection($db_type);
$db->Connect($db_host, $db_user, $db_pass, $db_name);
$perf =& NewPerfMonitor($db);
adodb_perf::table("openbase_adodb_logsql");
$db->LogSQL();
$ADODB_COUNTRECS = false;

/* Include the Online Configurations */
require_once($root_prefix . 'classes/config.class.php');
$config_db = new Config;
$config_db->StartConfig();

/* Stop The Script if install.php was not renamed or deleted */
if (file_exists("install.php")) {die("Please delete install.php or rename it.<br>
This error must be sent out for the safety of your site and our script.<br>
One the file has been delete or renamed the site will be safe to run.");}

/* Generic functions */
require_once($root_prefix . "includes/generic.inc.php");

/* Smarty library */
require_once($root_prefix . "libs/Smarty.class.php");

/* Output Functions */
require_once($root_prefix . "includes/print_funcs.inc.php");

/* include global classes */
require_once($root_prefix . 'includes/global_classes.inc.php');

/* load language file for system message translations if any */
$lang = stripslashes($config_db->GetConfig('site_lang'));
require_once("lang/lang-".$lang.".inc.php");
unset($lang);

/* Assign Header - Due to png issues with MSIE */
$tpl->Assign("header_logo", $url_prefix."templates/default/images/openbase.png");
$tpl->Assign("header_blank", $url_prefix."templates/default/images/blank.gif");

/* Check if the visitor is banned */
$ipbanner->CheckBan();

/* Finally we check for hacking and/or data doping through the url (_GET). */
require_once($root_prefix . "includes/security.inc.php");

/* Allow the blocks to gain the information they need */
require_once($root_prefix . "includes/block_pm.inc.php");
?>