<?php
/**
* Instantiates all commonly used classes
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/
defined("_IN_OB_") or die("Access Restricted.");


$registry = &Registry::instance();

/* unset all instances of variables with names being used for our objects */
unset($tpl);
unset($nav);
unset($client);
unset($news);
unset($logins);
unset($register);
unset($safehtml);
unset($rss);
unset($phpmailer);
unset($download_tracker);
unset($apache_log_parser);
unset($visitor_tracker);
unset($ipbanner);

require_once($root_prefix . 'includes/smarty.inc.php');
$tpl = new Q_Smarty($config_db->GetConfig('theme_name'));
if($CONFIG['enable_gzip'] == 1 && empty($nooutputbuffer))
{
	$tpl->load_filter("output", "gzip");
}
$sr =& $tpl; // for backwards compatibility
$registry->setEntry('tpl', $tpl);

/* The Navigation Class */
require_once($root_prefix . 'classes/navigation.class.php');
$NAV = array("left"=>array());
$nav = new Navigation();
$nv =& $nav; // for backwards compatibility
$registry->setEntry('nav', $nav);

/* The Client Class - Only if logged in */
if ($_SESSION['client_id'])
{
	require_once($root_prefix . "classes/client.class.php");
	$client = new Client($_SESSION['client_id']);
	$registry->setEntry('client', $client);
}

/* The News Class */
require_once($root_prefix . "classes/news.class.php");
$news = new News();
$registry->setEntry('news', $news);

/* The Login Class */
require_once($root_prefix . "classes/login.class.php");
$logins = new login();

/* The Register Class */
require_once($root_prefix . "classes/register.class.php");
$register = new RegisterAccount();

/* The SafeHTML Class */
//require_once($root_prefix . "libs/safehtml/classes/safehtml.php");
//$safehtml = new safehtml();
$registry->setEntry('safehtml', $safehtml);

/* The Profile Class */
require_once($root_prefix . 'classes/profile.class.php');

/* The FeedCreator Class */
require_once($root_prefix . "classes/feedcreator.class.php");
$rss = new UniversalFeedCreator();

/* The PHPMailer Class */
if($config_db->GetConfig('email_method') == "PHPMailer")
{
	require_once($root_prefix . "libs/phpmailer/phpmailer_init.php");
}

/* The Sajax Functions */
require_once($root_prefix . 'libs/sajax/Sajax.php');

/* The Downloads Class */
require_once($root_prefix . "classes/download.class.php");
$download_tracker = new Download_Tracker();
$download_tracker->StartTracker();

/* The Apache Log Parser Class */
require_once($root_prefix . "libs/apache_log_parser.php");
$apache_log_parser = new apache_log_parser();

/* The Visitor Tracker Class */
require_once($root_prefix . "classes/visitor.class.php");
$visitor_tracker = new Visitor_Tracker();
$visitor_tracker->GetTracker();
$visitor_tracker->UpdateTracker();

/* The Ip Banner Class */
require_once($root_prefix . "classes/ipban.class.php");
$ipbanner = new IpBan();
$ipbanner->StartBan();
?>