<?php
/**
* Resizes the images for various reasons
*
* Uses $max_x, $max_y, and $imageurl
* Usage: image_resize.inc.php?max_x=(x)&max_y=(y)&imageurl=(url)
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/

$url_prefix = basename($_SERVER['REQUEST_URI']);

preg_match("'^(.*)\.(gif|jpe?g|png)$'i", $imageurl, $ext);
switch (strtolower($ext[2])) {
	case 'jpg' :
	case 'jpeg':
		header("Content-Type: image/jpeg");
		$im  = imagecreatefromjpeg ($imageurl);
		break;
    	case 'gif' :
		header("Content-Type: image/gif");
		$im  = imagecreatefromgif  ($imageurl);
		break;
    	case 'png' :
		header("Content-Type: image/png");
    		$im  = imagecreatefrompng  ($imageurl);
		break;
    	default    :
		header("Content-Type: image/jpeg");
    		$im  = imagecreatefrompng ($url_prefix . "/templates/default/images/invaild_image.png");
		break;
}

$x = imagesx($im);
$y = imagesy($im);

if (($max_x/$max_y) < ($x/$y)) {
	$save = imagecreatetruecolor($x/($x/$max_x), $y/($x/$max_x));
}else{
	$save = imagecreatetruecolor($x/($y/$max_y), $y/($y/$max_y));
}
imagecopyresized($save, $im, 0, 0, 0, 0, imagesx($save), imagesy($save), $x, $y);

switch (strtolower($ext[2])) {
	case 'jpg' :
	case 'jpeg':
		imagejpeg ($save);
		break;
	case 'gif' :
		imagegif  ($save);
		break;
	case 'png' :
	       	imagepng  ($save);
		break;
	default    :
		imagepng ($save);
		break;
}
?>
