<?php
/**
* Output functions
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/

defined("_IN_OB_") or die("Access Restricted.");

/* display a system message (usually for a client error) */
function SystemMessage($text="Error! Please try again or contact an Administrator.", $back_button=false, $message_type="0", $strip_querystring=false) {
	global $tpl, $nav;
	if($strip_querystring === true)
	{
		$http_referer = $_SERVER['SCRIPT_NAME'];
	}else{
		$http_referer = $_SERVER['HTTP_REFERER'];
	}
	
	if($message_type == 0 || $message_type == "error")
		$message_type = 0;
	else
		$message_type = 1;
	
	$tpl->assign("title", "System Message");
	$tpl->assign("message_type", $message_type);
	$tpl->assign("system_message", $text);
	$tpl->assign("back_button", $back_button);
	$tpl->assign("http_referer", $http_referer);
	$tpl->DisplayPage("system_message.tpl");
	exit();
}

/* display a disabled message (usally for functions that are being worked on) */
function Disabled($text=GEN_DISABLED, $strip_querystring=false) {
	global $tpl, $nav;
	if($strip_querystring === true)
	{
		$http_referer = $_SERVER['SCRIPT_NAME'];
	}else{
		$http_referer = $_SERVER['HTTP_REFERER'];
	}
	$tpl->assign("title", "Disabled");
	$tpl->assign("system_message", $text);
	$tpl->assign("back_button", true);
	$tpl->assign("http_referer", $http_referer);
	$tpl->DisplayPage("system_message.tpl");
	exit();
}

/* display a client notice message */
function NoticeMessage($text="") {
	global $tpl;
	if(!empty($text))
		$tpl->assign("notice_message", $text);
}

/* display a system message (usually for a client error) */
function BannedMessage($text=GEN_BANNED) {
	global $tpl, $nav;
	$nav->navlink("left", "User",   "Home", $url_prefix . "index.php");
	$tpl->assign("back_button", false);
	$tpl->assign("title", "Banned");
	$tpl->assign("system_message", $text);
	$tpl->DisplayPage("system_message.tpl");
	exit();
}

?>