<?php
/**
* Basically any functions/code segments required to ensure security and prevent hacks
* can be appended here. This file is included into core.inc.php.
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/

defined("_IN_OB_") or die("Access Restricted.");


/* --- SETUP --- */

$query_string = $_SERVER['QUERY_STRING'];
$query_stringBase64 = base64_decode($_SERVER['QUERY_STRING']);
$http_useragent = $_SERVER['HTTP_USER_AGENT'];


/* Please note most of the below is a hit or miss affair - consider these all to be experimental test measures against common security issues. All are taken from a collection of sources released under the GPL. */

/* --- SQL INJECTIONS --- */


/*
Not sure of the extent additional protection is required - GET is closed off by forcing approved links
For logging purposes however...
*/


/* UNION check */
if (stristr($query_string,'%20union%20') || stristr($query_string,'*/union/*') || stristr($query_string,' union ') || stristr($query_stringBase64,'%20union%20') || stristr($query_stringBase64,'*/union/*') || stristr($query_stringBase64,' union ')) {
    echo(SECURITY_SQL_INJECTION);
	exit();
}


/* CLIKE check */
if (stristr($query_string,'/*') OR stristr($query_stringBase64,'/*')) {
    echo(SECURITY_SQL_INJECTION);
	exit();
}

/* the above will filter non-allowed html  -  need to add a detection method to display a warning also */

/* --- DOS ATTACKS --- */
if(empty($_SERVER['HTTP_USER_AGENT']) || $http_useragent == "-")
{
	echo(SECURITY_POSSIBLE_DOS);
	exit();
}

/* --- Harvesters --- */
/* this requires a predefined array of known Harvesters */
$filename = $root_prefix . "includes/harvester_list.inc";
$harvesters = file_get_contents($filename);
$harvester_array = explode("\n", $harvesters);


for ($i=0; $i < count($harvester_array); $i++)
{
	$harvest = $harvester_array[$i];
	if (eregi("($harvest)", $http_useragent) && $harvest != "")
	{
		echo("Harvesters are not welcome here...");
		exit();
	}
}

/* Redirect the user if they are logged in */
function Loggin_Check() {
	global $client;
	if(empty($client->loggedin)){
		redirect("index.php");
		exit();
	}
}

/* Redirect the user if they are logged in as a administrator */
function Admin_Loggin_Check() {
	global $client;
	if(empty($client->adminloggedin) || $client->admin > 2){
		redirect("index.php");
		exit();
	}
}
?>