<?php
/**
* initialisation file to setup defaults for the Smarty Template Engine
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/

defined("_IN_OB_") or die("Access Restricted.");

class Q_Smarty extends Smarty {

	/* Class Constructor - enables setting of the theme location where templates exist
	* should be adjusted later to account for changes in themes while maintaining same cache if possible
	*/

	function Q_Smarty($theme="default")
	{
		global $root_prefix, $url_prefix, $config_db, $admin_info;
		$this->Smarty();
		$this->template_dir 	= $root_prefix . "templates/".$theme."/";
		$this->compile_dir 	= $root_prefix . "templates/cache/tplcache/";
		$this->config_dir 	= $root_prefix . "templates/cache/configs/";
		$this->cache_dir 	= $root_prefix . "templates/cache/cache/";
		$this->caching 		= false;
		$this->assign('app_name', $config_db->GetConfig('site_name'));
		$this->assign('_THEME', $theme);
		/* standard configuration variables as set by user */
		$this->assign("url_prefix", $url_prefix);
		$this->assign('gmdate', gmdate("D, d M Y H:i:s"));
		$this->assign("admin_mail", $admin_info['email']);
	}
	function DisplayPage($template_name) {
		global $nv, $NAV, $page_generate_start, $db, $db_totaltime;
		/* assign the entire NAV structure to the Smarty {$navlinks} template variable */
		$this->assign("navlinks", $NAV);
		/* compute page execution time */
		$page_execution_secs = getmicrotime() - $page_generate_start;
		$page_execution_secs = number_format($page_execution_secs, 4);
		$this->assign("page_exec_time", $page_execution_secs);
		//$this->assign("page_query_count", $db->query_count());
		$this->assign("page_query_count", "x");
		//$this->assign("page_db_totaltime", $db_totaltime);
		$this->display($template_name);
		exit();
	}

	function insert_header() {
		/* this function expects $content argument */
		extract(func_get_arg(0));
		if(empty($content))
			return;
		header($content);
		return;
	}
}

function insert_header() {
    /* this function expects $content argument */
    extract(func_get_arg(0));
    if(empty($content))
        return;
    header($content);
    return;
}

?>