<?php

function ExecSQL ($filename, $replace, $with) {
	global $db;
	
	$file = fopen("../server.sql", 'rb');
    	$sql_query = fread($file, filesize("../server.sql"));
    	fclose($file);
	$pieces	= array();
	SplitSqlFile($pieces, $sql_query, '32300');
	$pieces_count = count($pieces);

	echo("
		<table style=\"text-align: left;\" width=\"800\">
			<tr>
				<td colspan=\"2\">
					<div align=\"center\"><b>Running Server.sql</b></div>
				</td>
			</tr>
	");

	for ($i = 0; $i < $pieces_count; $i++)
	{
		$a_sql_query = $pieces[$i];
		if(isset($replace) && isset($with) && $replace != "" && $with != "") {
			$a_sql_query = preg_replace($replace, $with, $a_sql_query);
		}
		$result = $db->Execute($a_sql_query);
		if ($result == FALSE)
		{
			echo("
				<tr>
					<td style=\"width: 70%\">
						" . strip_tags($a_sql_query) . ";
					</td>
					<td style=\"width: 30%;\">
						<div style=\"color: red;\">
						Query Error in Execution!<br />
						<span style=\"color: yellow;\">
						Execution Error:<br />".$db->ErrorMsg()."
						</span></div>
					</td>
				</tr>
			</table>
			");
			exit();
		}else{
			echo("
				<tr>
					<td width=\"70%\">
						" . strip_tags($a_sql_query) . ";
					</td>
					<td style=\"width: 30%;\">
						<div style=\"color: lightgreen;\">
						Successfully Executed!
						</div>
					</td>
				</tr>
			");
		}
	}
	unset($pieces);
	if($pieces_count == 0)
	{
		echo("
			</table>
			<h2 align=\"center\">
			<span style=\"color: red;\">Warning!</span> The Install Utility was unable to execute any queries from &quot;server.sql&quot;. Please double check that the configuration file contains valid database details for username, password and database. Please note that the database must be created BEFORE beginning the installation of database tables.
			</h2>
		");
		return false;
	}
	else
	{
		echo("
			</table>
			<h2 align=\"center\">
			$pieces_count Queries successfully completed!
			</h2>
		");
		return true;
	}
}

function SplitSqlFile(&$ret, $sql, $release)
{
	$sql          = trim($sql);
	$sql_len      = strlen($sql);
	$char         = '';
	$string_start = '';
	$in_string    = FALSE;
	$time0        = time();
	for ($i = 0; $i < $sql_len; ++$i) {
		$char = $sql[$i];
		if ($in_string) {
			for (;;) {
                    		$i = strpos($sql, $string_start, $i);
				if (!$i) {
					$ret[] = $sql;
					return TRUE;
 				}else if ($string_start == '`' || $sql[$i-1] != '\\') {
                        		$string_start      = '';
                        		$in_string         = FALSE;
                        		break;
                    		}else{
                        		$j = 2;
                        		$escaped_backslash = FALSE;
                        		while ($i-$j > 0 && $sql[$i-$j] == '\\') {
                            			$escaped_backslash = !$escaped_backslash;
                            			$j++;
                        		}
					if ($escaped_backslash) {
						$string_start  = '';
						$in_string     = FALSE;
						break;
					}else{
						$i++;
					}
				}
			}
		}else if ($char == ';') {
			$ret[]      = substr($sql, 0, $i);
			$sql        = ltrim(substr($sql, min($i + 1, $sql_len)));
			$sql_len    = strlen($sql);
			if ($sql_len) {
				$i      = -1;
			}else{
				return TRUE;
			}
		}else if (($char == '"') || ($char == '\'') || ($char == '`')) {
			$in_string    = TRUE;
			$string_start = $char;
		}else if ($char == '#' || ($char == ' ' && $i > 1 && $sql[$i-2] . $sql[$i-1] == '--')) {
			$start_of_comment = (($sql[$i] == '#') ? $i : $i-2);
			$end_of_comment   = (strpos(' ' . $sql, "\012", $i+2))
					  ? strpos(' ' . $sql, "\012", $i+2)
					  : strpos(' ' . $sql, "\015", $i+2);
			if (!$end_of_comment) {
				if ($start_of_comment > 0) {
					$ret[]    = trim(substr($sql, 0, $start_of_comment));
				}
				return TRUE;
			}else{
				$sql          = substr($sql, 0, $start_of_comment)
					      . ltrim(substr($sql, $end_of_comment));
				$sql_len      = strlen($sql);
				$i--;
			}
		}else if ($release < 32270 && ($char == '!' && $i > 1  && $sql[$i-2] . $sql[$i-1] == '/*')) {
			$sql[$i] = ' ';
		}
		$time1     = time();
		if ($time1 >= $time0 + 30) {
			$time0 = $time1;
			header('X-pmaPing: Pong');
		}
	}
	if (!empty($sql) && ereg('[^[:space:]]+', $sql)) {
		$ret[] = $sql;
	}
        return TRUE;
}
?>