<?php
/**
* English Language file for OpenBASE
* @package	OpenBASE
* @author 	David Branco <David@NeoeliteUSA.com>
*/

// Error definitions
define(E_USER_ERROR, "ERROR");
define(E_USER_WARNING, "WARNING");
define(E_USER_NOTICE, "NOTICE");

//General
define(GEN_YES, "Yes");
define(GEN_NO, "No");
define(GEN_DISABLED, "This function has been disabled by the administrator.");
define(GEN_BANNED, "You have been banned from using this site.");
define(GEN_ACTIVATE, "Activate");
define(GEN_NODIRECT, "You can not access this page directly.");

/* email_subscribe.php */
define(_EMAIL_SUBSCRIBE_NOEMAIL, "Please enter your email to subscribe to our services.");
define(_EMAIL_SUBSCRIBE_EMAIL_ADDED, "Thank you, your email has been added to our services.");
define(_EMAIL_SUBSCRIBE_UNSUBSCRIBE_NOEMAIL, "Please enter your email to unsubscribe to our services.");
define(_EMAIL_SUBSCRIBE_DELETE_ERROR, "Sorry, there was an error when removing your email for our subscribtions.");
define(_EMAIL_SUBSCRIBE_EMAIL_DELETED, "Thank you, your email has been deleted from our services.<br />You will not receave any more emails from us.");

/* page.php */
define(_PAGE_NOEXIST, "Sorry, the page you are trying to access does not exist or has been moved.");

/* privatemessages.php */
define(_PRIVATEMESSAGES_READ_NOT_FOUND, "The message you wish to read does not exist.");
define(_PRIVATEMESSAGES_DELETE_NOT_FOUND, "The message you wish to delete does not exist.");
define(_PRIVATEMESSAGES_PM_DELETED, "Message Deleted");
define(_PRIVATEMESSAGES_TARGET_NOTFOUND, "The target account is not valid! Please check you have spelt this it correctly.");
define(_PRIVATEMESSAGES_PM_SELF, "Sorry, you can not send messages to yourself.");
define(_PRIVATEMESSAGES_EMPTY_POST, "Text to post is empty!");
define(_PRIVATEMESSAGES_PM_SENT, "Your private message has been sent to: %s");

/* ipban.inc.php */
define(_IPBAN_INC_BANNED, "You may not enter, your account has been Banned.");

/* feedcreator.class.php */
define(_FEEDCREATOR_CLASS_ERROR, "Error writing to feed file, please check write permissions.");

/* login.class.php */
define(_LOGIN_CLASS_BLOCKED, "You have been blocked for 30 min.");
define(_LOGIN_CLASS_WAIT, "You have to wait 30sec before you can try and login again.");
define(_LOGIN_CLASS_NOMATCH, "The image string did not match; please wait 30 seconds and try again.");
define(_LOGIN_CLASS_ACTIVATE, "You need to activate you accout.");
define(_LOGIN_CLASS_INVALID, "Username/Password invalid; please wait 30 seconds and try again.");

/* new_page.php */
define(_NEW_PAGE_NOSUBJECT, "Error: You need a subject for the page you are submitting.");
define(_NEW_PAGE_NOCONTENT, "Error: You need content for the page you are submitting.");
define(_NEW_PAGE_POSTED, "Thank you, your page has been posted.");

/* forgot.php */
define(_FORGOT_INVALID, "Username/Email invalid, please try again.");

/* edit_page.php */
define(_EDIT_PAGE_CHECKID, "Sorry, an error occurred. Please check your page id.");
define(_EDIT_PAGE_NOTITLE, "Page title was left empty.");
define(_EDIT_PAGE_UPDATED_TITLE, "Page title was updated.");
define(_EDIT_PAGE_ERROR_TITLE, "Page title failed to be updated.");
define(_EDIT_PAGE_NOCONTENT, "Page Content was left empty.");
define(_EDIT_PAGE_UPDATED, "Page Content was updated.");
define(_EDIT_PAGE_ERROR_CONTENT, "Page Content failed to be updated.");
define(_EDIT_PAGE_NOOWN, "Sorry, this page you  were trying to edit does not belong to you.");

/* profile.php */
define(_PROFILE_ERROR, "Error with getting profile: %client");

/* General Admin Strings */
define(_ADMIN_NOPERMISSION, "We are sorry, you need a higher level of administration to use this function.");

/* admin_development.php */
define(_ADMIN_DEVELOPMENT_NODEVELOPMENT, "Error: You left the development field empty.");
define(_ADMIN_DEVELOPMENT_UPDATED, "Development Updated.");

/* admin_editaccount.php */
define(_ADMIN_EDITACCOUNT_UPDATED, "Client's account updated.");
define(_ADMIN_EDITACCOUNT_ERROR, "Client's account failed to be updated.");
define(_ADMIN_EDITACCOUNT_NOUSER, "No Client was specified to edit.");

/* admin_massemail.php */
define(_ADMIN_MASSEMAIL_REMOVED, "%email was removed from the database.");
define(_ADMIN_MASSEMAIL_CONFIRM, "%email was secelected. Are you sure you wish to removed this person from the subscription database?");
define(_ADMIN_MASSEMAIL_NOSUBJECT, "Error: You need a subject for the email.");
define(_ADMIN_MASSEMAIL_NOBODY, "Error: You need a body for the email.");
define(_ADMIN_MASSEMAIL_ERROR_SENDING, "Error: The emails could not be sent.");
define(_ADMIN_MASSEMAIL_SENT, "%number emails sent.");
define(_ADMIN_MASSEMAIL_CLOSING, "Closing");
define(_ADMIN_MASSEMAIL_NEWSLETTER, "Newletter");
define(_ADMIN_MASSEMAIL_BOTH, "Both");

/* admin_postnews.php */
define(_ADMIN_POSTNEWS_NOSUBJECT, "Error: You need a subject for the news.");
define(_ADMIN_POSTNEWS_NOBODY, "Error: You need a body for the news.");
define(_ADMIN_POSTNEWS_ERROR_SUBMITING, "Error: The news post could not be submited.");
define(_ADMIN_POSTNEWS_POSTED, "News Posted.");

/* admin_adodb_perfmon.php */
define(_ADMIN_ADODB_PERFMON_TITLE, "Performance Monitoring of Database Activity");
define(_ADMIN_ADODB_PERFMON_PAR_ONE, "The Adodb Performance Monitor provides statistics based on logged SQL queries if enabled in configuration to identify suspiciously high average execution times, expensive average execution times, invalid queries and a general database healthcheck. The top 25 of each category is displayed based on execution time multiplied by number of instances of execution.");
define(_ADMIN_ADODB_PERFMON_PAR_TWO, "This data may be used to identify SQL queries whose optimisation will gain the most benefit and reduce overall server load and processing time. This Monitor is not required to host OpenBASE, and is provided mainly as a tool for tracking SQL execution times as an aid in identifying bottlenecks and routes for optimisation. Please note that the monitor logs all SQL queries, so running the monitor queries will take time to search these records and assemble results.");

/* admin_siteconfig.php */
define(_ADMIN_SITECONFIG_IPBAN_REMOVED, "IP Ban removed.");
define(_ADMIN_SITECONFIG_IPBAN_ERROR_REMOVING, "Could not unban IP.");
define(_ADMIN_SITECONFIG_IPBAN_NOIP, "No IP to ban.");
define(_ADMIN_SITECONFIG_IPBAN_NOREASON, "You must have a reason to ban.");
define(_ADMIN_SITECONFIG_IPBAN_BANNED, "IP Banned.");
define(_ADMIN_SITECONFIG_IPBAN_ERROR_BANNING, "Could not ban IP.");
define(_ADMIN_SITECONFIG_IPBAN_ERROR_NOMATCH, "Image Varification does not match.");

/* admin_apacheviewer.php */
define(_ADMIN_APACHEVIEWER_ERROR_READING, "Error: Could not read the file.");
define(_ADMIN_APACHEVIEWER_ERROR_FILEPATH, "Error: Filepath provided is invalid.");

/* managedownloads.php */
define(_MANAGE_DOWNLOADS_NONAME, "Error: You need to enter a name for the download.");
define(_MANAGE_DOWNLOADS_NOLOCATION, "Error: You need to enter a location for the download.");
define(_MANAGE_DOWNLOADS_ADDED, "Download has been added.");
define(_MANAGE_DOWNLOADS_ERROR_ADDING, "Error: Download could not be added.");
define(_MANAGE_DOWNLOADS_ERROR_NOMATCH, "Error: The image string did not match.");
define(_MANAGE_DOWNLOADS_DELETED, "Download has been deleted.");
define(_MANAGE_DOWNLOADS_ERROR_DELETING, "Error: The file could no be deleted.");
define(_MANAGE_DOWNLOADS_CONFIRM_DELETE, "Are you sure you wish to delete the download?");

/* download.class.php */
define(_DOWNLOAD_CLASS_TITLE, "Someone downloaded a file:");
define(_DOWNLOAD_CLASS_FILENAME, "File Name:");
define(_DOWNLOAD_CLASS_FILEID, "File ID:");
define(_DOWNLOAD_CLASS_DATETIME, "Date & Time:");
define(_DOWNLOAD_CLASS_THANKYOU, "Thank you");

/* download.php */
define(_DOWNLOAD_ERROR_NOEXIST, "The file selected to be downloaded does not exist.");
define(_DOWNLOAD_ERROR_NOFILE, "No file was selected to be downloaded.");

/* register.class.php */
define(_REGISTER_CLASS_EMAIL, 	"Dear %client,<br />".
				"Welcome to %sitename!<br />".
				"Please keep this email for your records. Your account information is as follows:<br />".
				"----------------------------<br />".
				"Username: %username<br />".
				"Password: %password<br />".
				"----------------------------<br />".
				"Your account is currently inactive. You cannot use it until you visit the following link:<br />".
				"%authlink</a><br />".
				"Please do not forget your password as it has now been encrypted in our database and we cannot retrieve it for you. However, should you forget your password you can request a new one which will be activated in the same way as this account.<br />".
				"Thank you for registering,<br />".
				"%sitename Administration");
define(_REGISTER_CLASS_ERROR_NOMATCH, "Error: The image string did not match.");
define(_REGISTER_CLASS_ERROR_NOUSERNAME, "Error: You need to enter a username.");
define(_REGISTER_CLASS_ERROR_NOPASSWORD, "Error: You need to enter a password.");
define(_REGISTER_CLASS_ERROR_NOEMAIL, "Error: You need to enter your email.");
define(_REGISTER_CLASS_ERROR_NONAME, "Error: You need to enter your name .");
define(_REGISTER_CLASS_ERROR_NOSEX, "Error: You need to select you sex.");


/* login.php */
define(_LOGIN_ERROR_ACITVATED, "Error: Client is already activated.");
define(_LOGIN_ACITVATED, "Your account has been activated. Thank you.");
define(_LOGIN_ERROR_AUTHWRONG, "Error: The auth code you enter is wrong.");

/* myaccount.php */
define(_MYACCOUNT_ERROR_EMAIL, "Error: Could not change email.");
define(_MYACCOUNT_ERROR_NAME, "Error: Could not change name.");
define(_MYACCOUNT_ERROR_SEX, "Error: Could not change sex.");
define(_MYACCOUNT_ERROR_LOCATION, "Error: Could not change location.");
define(_MYACCOUNT_ERROR_OCCUPATION, "Error: Could not change occupation.");
define(_MYACCOUNT_ERROR_VULGARSAFE, "Error: Could not change vulgar safe.");
define(_MYACCOUNT_ERROR_ICQ, "Error: Could not change ICQ");
define(_MYACCOUNT_ERROR_AIM, "Error: Could not change AIM");
define(_MYACCOUNT_ERROR_MSN, "Error: Could not change MSN");
define(_MYACCOUNT_ERROR_YIM, "Error: Could not change YIM");
define(_MYACCOUNT_UPDATED, "Your account was updated.");

?>