<?php
/**
* PHP apache log parser class
* @author 	Sam Clarke <admin@free-webmaster-help.com>
* @version 	1.0
*/

class apache_log_parser
{

  /** Number of bad rows */
  var $bad_rows;
  /** File pointer */
  var $fp;

  function format_log_line($line)
  {
    /** pattern to format the line */
    preg_match("/^(\S+) (\S+) (\S+) \[([^:]+):(\d+:\d+:\d+) ([^\]]+)\] \"(\S+) (.*?) (\S+)\" (\S+) (\S+) (\".*?\") (\".*?\")$/", $line, $matches);
    return $matches;
  }

  function format_line($line)
  {
    /** format the line */
    $logs = $this->format_log_line($line);

    /** check that it formated OK */
    if (isset($logs[0]))
    {
      /** fmake an array to store the line info in */
      $formated_log = array();
      $formated_log['ip'] = $logs[1];
      $formated_log['identity'] = $logs[2];
      $formated_log['user'] = $logs[2];
      $formated_log['date'] = $logs[4];
      $formated_log['time'] = $logs[5];
      $formated_log['timezone'] = $logs[6];
      $formated_log['method'] = $logs[7];
      $formated_log['path'] = $logs[8];
      $formated_log['protocal'] = $logs[9];
      $formated_log['status'] = $logs[10];
      $formated_log['bytes'] = $logs[11];
      $formated_log['referer'] = $logs[12];
      $formated_log['agent'] = $logs[13];
      /** return the array of info */
      return $formated_log;
    }
    else
    {
      /** if the row is not in the right format add it to the bad rows */
      $this->badRows++;
      return false;
    }
  }

  function open_log_file($file_name)
  {
    /** open the file */
    $this->fp = fopen($file_name, 'r');
    if (!$this->fp)
    {
      /** return false on fail */
      return false;
    }
    /** return true on sucsess */
    return true;
  }

  function close_log_file()
  {
    /** close the file */
    return fclose($this->fp);
  }

  function get_line($line_length=300)
  {
    /** true and get a line and return the result */
    return fgets($this->fp, $line_length);
  }

}
?>